Question about Gateway and Spotpass

Discussion in '3DS - Flashcards & Custom Firmwares' started by vasalpa, Jan 18, 2014.

  1. vasalpa
    OP

    vasalpa GBAtemp Regular

    Member
    169
    123
    Mar 25, 2009
    Hello guys! My question is as simple as the title states. I have the newest gateway version (2.0b2), I have made EMUNAND although I haven't updated EMUNAND because I only use the 3ds for playing games. I recently played Fire Emblem Awakening and I wonder if I can use the spotpass feature, although I have never ever used it and I barely understand the use of it in other games.

    P.S: I have something to say about the way that gateway saves the games. I have read many threads that people say that the home-exit thing is kind of annoying and all of this stuff. What I don't understand is why can I save by simply closing the 3ds? I don't always do it because I'm afraid of losing any save data, but I have done it a few times either on purpose or by chance and it did save properly! Any idea why this happened?
     
  2. vasalpa
    OP

    vasalpa GBAtemp Regular

    Member
    169
    123
    Mar 25, 2009
    Sorry for double posting, but has anybody tried Spotpass? I want to enable it so please if anyone knows if it is possible and how (if it needs EMUNAND and which version) let me know!!!
     
  3. gamesquest1

    gamesquest1 Nabnut

    Member
    14,135
    9,478
    Sep 23, 2013
    Streetpass works fine, I think spot pass requires emunand to be updated, you get way more hits on updated FW aswell, which is good for games who use the feature heavily
     
  4. vasalpa
    OP

    vasalpa GBAtemp Regular

    Member
    169
    123
    Mar 25, 2009
    gamesquest1 thanks for your answer! I know about streetpass but spotpass is the one that concerns me because of Fire Emblem Awakening... I have EMUNAND but I haven't updated it (because I didn't need the extra features on it) and I am on emunand 4.2E same as my version. Yesterday I downgraded from 2.0b2 to 2.0b1 for the same reason as anyone in this forum (afraid of bricking my console), so now can I still EMUNAND to 7.1 (or whatever the version is)? Or will 6.(?) work as well? And is it safe? Thanks in advance!
     
  5. gamesquest1

    gamesquest1 Nabnut

    Member
    14,135
    9,478
    Sep 23, 2013
    You can actually update to 7.1 with b1 but it will be a bit buggy....system settings, miiverse and a few other bits won't work. But you can use street pass etc. also the region free code doesn't work in b1 if used with 7.x
     
  6. vasalpa
    OP

    vasalpa GBAtemp Regular

    Member
    169
    123
    Mar 25, 2009
    Ok man thanks I sent you a PM for more info! :)
     
  7. wulfei

    wulfei Member

    Newcomer
    27
    6
    Jan 9, 2014
    Australia
    I expierence a problem with spotpass.
    I posted a thread here: http://gbatemp.net/threads/streetpass-problem-etrian-odyssey-latest-gateway.360752/
    But unfortunately nobody answered, maybe because it got moved to Console, Accessories and Hardware ^^".

    Mario Kart 7 (pre installed) , Bravely Default (downloaded demo), Mario 3d Land (gift of eshop) works fine with streetpass for me.
    But the Etrian Odysee rom is giving me the message

    In order to enable StreetPass you must agree to the most recently updated User Agreement.
    Select Internet Settings -> Other Information -> User Agreement and agree to the newest User Agreement.

    I can just read the contract though, maybe I already agreed to it? I cant find anything.
    Is Gateways Streetpass causing problems if my 3DS is having german language settings while playing a us rom? Otherwise I cant think of anything.

    //edit
    Also I'm using the latest Emunand Firmware 7.1. So this is not the problem.
     
  8. vasalpa
    OP

    vasalpa GBAtemp Regular

    Member
    169
    123
    Mar 25, 2009
    wulfei Well I don't know about streetpass. But for spotpass I got it working with fire emblem awakening without even updating emunand to the latest version (it's on 4.2 version same as my system). As far as I understood, the emunand and realnand are like having to 3ds in one. On realnand (before going in gateway mode) I have parental controls and I haven't even agreed on the wi-fi settings. But on emunand (when I boot in gateway mode) I haven't got any parental controls and I have made a connection in the settings (note that it will write down to the right GW 7.1). This works for me in gateway version 2.b1. What version are you using?
     
  9. MrOldboy

    MrOldboy Advanced Member

    Newcomer
    77
    4
    May 7, 2009
    United States
    I have not used emunand at all since getting my GW and with all the brick business I've been using 1.2. I know I'd have to go to 2.0b1, but I switched to 1.2 since I was having save bug issues on 2.0b1.

    I want to play Fire Emblem, but would like to get all the spotpass stuff when I do.

    What is the method you guys are using to do this while making sure you don't update your 3DS? I've yet to even connect my 3DS online since I don't want to risk updating.

    If it ends up being a hassle just to get the spotpass dlc I'll probably just skip it. I'm sure the base game has plenty of content, but it would be nive to get everything.
     
  10. kiefer

    kiefer Member

    Newcomer
    24
    1
    Mar 6, 2013
    I'm having the same issue with the latest 2.1 gateway. I am trying to access spotpass on fire emblem. It is telling me that I need to go on internet settings -> other information-> User agreement and accept the terms of the latest service user agreement. I have tried this on RealNand and EmuNand 7.1 0-16E, and there is no accept button. I've tried scrolling to the bottom of the agreement, as you sometimes need to do. I've enabled automatic software downloads and sending of system information in the spotpass settings. I have also removed any parental restrictions on online interaction. Again, I made these changes in both RealNand and EmuNand.

    Has this always been the case, or is this problem new to 2.1? Are other people on 2.1 getting this
     
  11. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    Don't play US games on non-US console. It's the reason that SpotPass/StreetPass don't work.
    Play EU games instead.
     
  12. kiefer

    kiefer Member

    Newcomer
    24
    1
    Mar 6, 2013
    Thanks MelonGX. You were right, it was because it was a US copy of Fire Emblem and my 3DS is EU.
     
  13. Antonio Ricardo

    Antonio Ricardo GBAtemp Fan

    Member
    358
    230
    Apr 29, 2013
    Brazil
    Rio de Janeiro
    I updated my Emunand to 7.1.0-16 and Spotpass work's fine in Fire Emblem Awakening and i can download (so important to training my team on Fire Emblem).
    You have to agree "User Agreement" on 3DS Menu, just this.
    ROM EUROPE AND USA CONSOLE, in this case the USA content from spotpass work in Europe Rom and "User Agreement" work too .

    PS: USA ROM and Europe Console is there no accept button "User Agreement"? Why? Omega Bug?
     
  14. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    It's USA ROM bug.
    I guess USA ROM requires a specific "USA agreement" which is different from all the JPN, EU, KOR, TW/HK, CHN agreements. So that's the reason USA ROM's SpotPass/StreetPass isn't Region Free.